package com.perforce.p4splunk.client;

import java.util.Map;

import com.splunk.modularinput.Parameter;
import com.splunk.modularinput.SingleValueParameter;

public class ConnectionConfig {
	private final String p4port;
	private final boolean ssl;
	private final String serverUri;
	private final String trust;

	public ConnectionConfig(Map<String, Parameter> params) {
		this.p4port = ((SingleValueParameter) params.get("p4port")).getValue();
		this.ssl = false;
		this.trust = null;
		this.serverUri = toUri();
	}
	
	public ConnectionConfig(String p4port) {
		this.p4port = p4port;
		this.ssl = false;
		this.trust = null;
		this.serverUri = toUri();
	}

	private String toUri() {
		if (ssl) {
			return "p4javassl://" + p4port;
		} else {
			return "p4java://" + p4port;
		}
	}

	public String getPort() {
		return p4port;
	}

	public boolean isSsl() {
		return ssl;
	}

	public String getTrust() {
		return trust;
	}

	public String getServerUri() {
		return serverUri;
	}

	public String toString() {
		return serverUri;
	}
}
